<ng-container *ngIf="{
        plateaux: plateaux$ | async,
        fmi: fmi$ | async,
        screenSize: screenSize$ | async,
        requiredMatchCount: requiredMatchCount$ | async,
        teamCount: teamCount$ | async,
        matchStatus: matchStatus$ | async } as vm">
  <app-page-form>
    <ng-container ngProjectAs="[page-form-content]">
      <h1>
        {{ 'admin.fmi.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
      </h1>
      <p>
        {{ 'admin.fmi.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
      </p>
      <article *ngIf="!loading.plateau && !vm.plateaux?.items?.length">
        <mat-icon>
          info
        </mat-icon>
        <p>
          {{ 'admin.fmi.edit.info.noPlateau' | translate }}
        </p>
      </article>

      <form [formGroup]="formGroup"
            #form="ngForm" (ngSubmit)="formGroup.valid && save()">
        <mat-form-field>
          <mat-label>
            {{ 'admin.fmi.edit.form.plateau' | translate }}
          </mat-label>
          <app-async-select [loading]="loading.plateau"
                            [updateDisable]="mode !== editModeEnum.UPDATE"
                            [control]="formGroup.controls.plateau">
            <mat-select formControlName="plateau">
              <mat-option *ngFor="let plateau of vm.plateaux?.items; trackBy: trackBySlug"
                          [value]="plateau.slug">
                {{ plateau.date | date:'short':undefined:'fr-FR' }}
                -
                {{ plateau.location }}
                -
                {{ plateau.competitionName }}
                {{ plateau.divisionName }}
                {{ plateau.groupName }}
                {{ plateau.dayIndex }}
              </mat-option>
            </mat-select>
          </app-async-select>
          <mat-error *ngIf="formGroup.controls.plateau.errors?.required">
            {{ 'admin.common.validation.required' | translate }}
          </mat-error>
        </mat-form-field>

        <form formArrayName="matchs">
          <ng-container *ngFor="let matchFormGroup of matchFormGroups; let index = index">
            <mat-card>
              <mat-card-content>
                <form [formGroup]="matchFormGroup" class="match">
                  <mat-form-field class="date">
                    <mat-label>
                      {{ 'fmi.match.form.date' | translate }}
                    </mat-label>
                    <mat-datetimepicker-toggle [for]="datetimePicker" matSuffix></mat-datetimepicker-toggle>
                    <mat-datetimepicker #datetimePicker type="time" openOnFocus="true"
                                        timeInterval="5"></mat-datetimepicker>
                    <input matInput formControlName="date" [matDatetimepicker]="datetimePicker" required
                           autocomplete="false">
                    <mat-error *ngIf="matchFormGroup.controls.date.errors?.required">
                      {{ 'admin.common.validation.required' | translate }}
                    </mat-error>
                  </mat-form-field>

                  <figure class="logo1"
                          *ngIf="getTeamBySlug(vm.fmi?.teams, matchFormGroup.controls.team1.value) as team">
                    <img *ngIf="'common.team.defaultPicture.url' | translate"
                         class="lazy-load"
                         [lazyLoad]="team.logoUrl || ('common.team.defaultPicture.url' | translate)"
                         [errorImage]="'common.team.defaultPicture.url' | translate"
                         [alt]="team.name"/>
                  </figure>

                  <mat-form-field class="team1">
                    <mat-label>
                      {{ 'fmi.match.form.team1' | translate }}
                    </mat-label>
                    <app-reset-button-icon matPrefix
                                           [display]="!!matchFormGroup.getRawValue().team1"
                                           (resetClick)="matchFormGroup.controls.team1.patchValue(undefined)">
                    </app-reset-button-icon>
                    <mat-select formControlName="team1">
                      <ng-container *ngFor="let team of vm.fmi?.teams; trackBy: trackBySlug">
                        <mat-option *ngIf="team.slug !== matchFormGroup.controls.team2.value"
                                    class="team"
                                    [value]="team.slug">
                          <figure>
                            <img *ngIf="'common.team.defaultPicture.url' | translate"
                                 class="lazy-load"
                                 [lazyLoad]="team.logoUrl"
                                 [errorImage]="'common.team.defaultPicture.url' | translate"
                                 [alt]="team.name"/>
                            <figcaption>
                              {{ team | teamName:vm.screenSize }}
                              {{ team.index }}
                            </figcaption>
                          </figure>
                        </mat-option>
                      </ng-container>
                    </mat-select>
                    <mat-error *ngIf="matchFormGroup.controls.team1.errors?.required">
                      {{ 'admin.common.validation.required' | translate }}
                    </mat-error>
                  </mat-form-field>

                  <mat-form-field class="team2">
                    <mat-label>
                      {{ 'fmi.match.form.team2' | translate }}
                    </mat-label>
                    <app-reset-button-icon matPrefix
                                           [display]="!!matchFormGroup.getRawValue().team2"
                                           (resetClick)="matchFormGroup.controls.team2.patchValue(undefined)">
                    </app-reset-button-icon>
                    <mat-select formControlName="team2">
                      <ng-container *ngFor="let team of vm.fmi?.teams; trackBy: trackBySlug">
                        <mat-option *ngIf="team.slug !== matchFormGroup.controls.team1.value"
                                    class="team"
                                    [value]="team.slug">
                          <figure>
                            <img *ngIf="'common.team.defaultPicture.url' | translate"
                                 class="lazy-load"
                                 [lazyLoad]="team.logoUrl"
                                 [errorImage]="'common.team.defaultPicture.url' | translate"
                                 [alt]="team.name"/>
                            <figcaption>
                              {{ team | teamName:vm.screenSize }}
                              {{ team.index }}
                            </figcaption>
                          </figure>
                        </mat-option>
                      </ng-container>
                    </mat-select>
                    <mat-error *ngIf="matchFormGroup.controls.team2.errors?.required">
                      {{ 'admin.common.validation.required' | translate }}
                    </mat-error>
                  </mat-form-field>

                  <figure class="logo2"
                          *ngIf="getTeamBySlug(vm.fmi?.teams, matchFormGroup.controls.team2.value) as team">
                    <img *ngIf="'common.team.defaultPicture.url' | translate"
                         class="lazy-load"
                         [lazyLoad]="team.logoUrl || ('common.team.defaultPicture.url' | translate)"
                         [errorImage]="'common.team.defaultPicture.url' | translate"
                         [alt]="team.name"/>
                  </figure>

                  <button type="button" mat-icon-button class="delete"
                          [attr.aria-label]="'fmi.match.action.match.delete' | translate"
                          (click)="deleteMatchGroup(index)">
                    <mat-icon>
                      delete
                    </mat-icon>
                  </button>
                </form>
              </mat-card-content>
            </mat-card>
          </ng-container>
        </form>

        <article *ngIf="vm.fmi">
          <mat-icon *ngIf="vm.matchStatus"
                    [ngClass]="vm.matchStatus">
            <ng-container [ngSwitch]="vm.matchStatus">
              <ng-container *ngSwitchCase="FmiMatchStatus.COMPLETE">check_circle</ng-container>
              <ng-container *ngSwitchCase="FmiMatchStatus.PARTIAL">warning</ng-container>
              <ng-container *ngSwitchCase="FmiMatchStatus.EMPTY">error</ng-container>
            </ng-container>
          </mat-icon>
          <p>
            {{ 'admin.fmi.list.field.matchStatus.value' | translate:{ status: 'admin.fmi.matchStatus.' + vm.matchStatus | translate, matchCount: getValidMatchFormGroupCount(), requiredMatchCount: vm.requiredMatchCount, teamCount: vm.teamCount } }}
          </p>
        </article>

        <button type="button" mat-stroked-button color="primary"
                (click)="addMatchGroup(formGroup.value.fmi)">
          <mat-icon>
            add
          </mat-icon>
          {{ 'fmi.match.action.match.add'  | translate }}
        </button>
      </form>
    </ng-container>
    <ng-container ngProjectAs="[page-form-footer]">
      <a mat-stroked-button color="accent"
         [routerLink]="previousRouteCommands?.commands"
         [queryParams]="previousRouteCommands?.queryParams">
        <mat-icon>
          cancel
        </mat-icon>
        {{ 'admin.common.action.cancel' | translate }}
      </a>
      <app-async-button [loading]="loading.save">
        <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
          <mat-icon>
            save
          </mat-icon>
          {{ 'admin.common.action.save' | translate }}
        </button>
      </app-async-button>
    </ng-container>
  </app-page-form>
</ng-container>
